<?php
namespace Concrete\Package\Rmfacebook\Block\Rmfacebook;
defined('C5_EXECUTE') or die('Access Denied.');
use Concrete\Core\Asset\AssetList;
use Concrete\Core\Block\BlockController;
use Concrete\Core\Config\Repository\Liaison;
use Concrete\Core\Localization\Localization;
use Concrete\Core\Package\PackageService;
use Concrete\Core\Utility\Service\Validation\Numbers;

class Controller extends BlockController
{
    protected $btTable = 'btRmfacebook';
    protected $btCacheBlockOutput = true;
    protected $btCacheBlockOutputOnPost = true;
    protected $btDefaultSet = 'Social';
    protected $btInterfaceWidth = '600';
    protected $btInterfaceHeight = '480';
 // Block Record
    /** @var string */
    protected $location;
    /** @var float */
    protected $marker_color;
    /** @var string */
        /**
     * Returns the name of the block type.
     *
     * @return string $btName
     */
    public function getBlockTypeName()
    {
        return t('RM Facebook Messenger');
    }
  /**
     * Returns the description of the block type.
     *
     * @return string
     */
    public function getBlockTypeDescription()
    {
        return t('Embed RM Facebook Messenger block.');
    }

    public function add()
    {
        $this->edit();
    }

    public function edit()
    {
        $this->set('color', $this->app->make('helper/form/color'));
        $this->set('editor', $this->app->make('editor'));
		$installedVersion = $this->app->make('config')->get('concrete.version_installed');
        if (version_compare($installedVersion, '9.0.0b', '>=')) {
            $this->set('is_version9', true);
        }
    }

  /**
     * Saves block data against the block's database table.
     *
     * @param array $args
     */
    public function save($args)
    {
		parent::save($args);
    }
}